function  [] = C_dist2(F, P, Q, a, A, b, B, st, f_step, krok_x, krok_y, krok_I, polar)

[Jx,Jy] = meshgrid(0:krok_x:a,0:krok_y:b);

[px, py] = size(Jx);

Jz = zeros(px,py);

Jzx = zeros(px,py);
Jzy = zeros(px,py);

i = 0;
z1 = 0;
z2 = 0;

for y=0:krok_y:b
    z2 = z2 + 1;
    z1 = 0;
    for x=0:krok_x:a
    z1 = z1 + 1;

  for p=1:P
    for q=1:Q
        i = i + 1;
ksi_2x = F(i)*(q*pi/b)*sin(p*pi*x/a)*cos(q*pi*y/b);
ksi_2y = -F(i)*(p*pi/a)*cos(p*pi*x/a)*sin(q*pi*y/b);
Jzx(z2,z1) = Jzx(z2,z1) + ksi_2x;
Jzy(z2,z1) = Jzy(z2,z1) + ksi_2y;
    end
  end
    
for p=0:P
    for q=0:Q
      if (p~=0) | (q~=0)
      i = i + 1;
ksi_1x = F(i)*(p*pi/a)*sin(p*pi*x/a)*cos(q*pi*y/b);
ksi_1y = F(i)*(q*pi/b)*cos(p*pi*x/a)*sin(q*pi*y/b);
Jzx(z2,z1) = Jzx(z2,z1) + ksi_1x;
Jzy(z2,z1) = Jzy(z2,z1) + ksi_1y;
       end
    end
  end
  

  i=0;
  end
end


if (mod(st,krok_I)==0)
figure(st+6);

quiver(Jx,Jy,abs(Jzx)*10,abs(Jzy),0.5);   % x-components 10times amphasized

hold on

axis([0 a 0 b])

xlabel('x-component')
ylabel('y-component')

title(['frequency ',num2str((st+1)*f_step), ' GHz'])
X= [0,0,a,a];
Y= [0,b,b,0];
line(X,Y);

hold off;

end;
